SB_SERVER(1)

NAME
sb_server - The primary server for SpamBayes.

DESCRIPTION

Currently serves the web interface, and any configured POP3 and SMTP proxies.

The POP3 proxy works with classifier.py, and adds a simple X-Spambayes-Classification header (ham/spam/unsure) to each incoming email. You point the proxy at your POP3 server, and configure your email client to collect mail from the proxy then filter on the added header. Usage:

    sb_server.py [options] [<server> [<server port>]]

    <server> is the name of your real POP3 server <port> is the port number of your real POP3 server, which

    defaults to 110.

    options:

-h  : Displays this help message.

    -d FILE : use the named DBM database file -p FILE : the the named Pickle database file -l port : proxy listens on this port number (default 110) -u port : User interface listens on this port number

    (default 8880; Browse http://localhost:8880/)

-b  : Launch a web browser showing the user interface.

    -o section:option:value :

    set [section, option] in the options database to value

    All command line arguments and switches take their default values from the [pop3proxy] and [html_ui] sections of bayescustomize.ini.

For safety, and to help debugging, the whole POP3 conversation is written out to _pop3proxy.log for each run, if options["globals", "verbose"] is True.

To make rebuilding the database easier, uploaded messages are appended to _pop3proxyham.mbox and _pop3proxyspam.mbox.

SEE ALSO
The full documentation for option is maintained as a Texinfo manual. If the info and option programs are properly installed at your site, the command

    info option

should give you access to the complete manual.